<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt">
  <xsl:import href="_common.xsl"/>
  <xsl:output method="html" encoding="utf-8" doctype-system="about:legacy-compat"/>

  <xsl:variable name="root" select="'./'"/>

    <!-- Redirection -->
    <xsl:template match="/DataDocumenter">
      <html>
          <head>
            <meta charset="utf-8"/>
            <meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
            <meta name="viewport" content="width=device-width, initial-scale=1"/>
            <meta name="_root" content="{$root}"/>

            <meta http-equiv="cache-control" content="no-cache, no-store, must-revalidate" />
            <meta http-equiv="pragma" content="no-cache" />
            <meta http-equiv="expires" content="0" />
            <meta name="cache-pool-id" content="{/DataDocumenter/CachePoolId}" />
            
            <title>
              <xsl:if test="/DataDocumenter/Breadcrumbs/Breadcrumb[last()][@type != 'Module'][@type != 'Repository'][@type != 'Documentation']">
                <xsl:value-of select="/DataDocumenter/Breadcrumbs/Breadcrumb[last()]"/> -
              </xsl:if>
              
              <xsl:if test="/DataDocumenter/Breadcrumbs/Breadcrumb[@type='Module']">
                <xsl:value-of select="/DataDocumenter/Breadcrumbs/Breadcrumb[@type='Module']"/> -
              </xsl:if>

              <xsl:choose>
                <xsl:when test="/DataDocumenter/Breadcrumbs/Breadcrumb[@type='Documentation']">
                  <xsl:value-of select="/DataDocumenter/Breadcrumbs/Breadcrumb[@type='Documentation']"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="Global/DocumentTitle"/>
                </xsl:otherwise>
              </xsl:choose>
            </title>

            <link href="{$root}favicon.ico" rel="icon"/>
            <link href="{$root}favicon.ico" rel="shortcut icon"/>
            <link rel="stylesheet" href="{$root}lib/Google Fonts/style.css?v={/DataDocumenter/CachePoolId}"/>
            <link rel="stylesheet" href="{$root}lib/jQueryUI/jquery-ui-1.9.2.custom.min.css?v={/DataDocumenter/CachePoolId}"/>
            <link rel="stylesheet" href="{$root}css/reset.css?v={/DataDocumenter/CachePoolId}"/>
            <link rel="stylesheet" href="{$root}css/default.css?v={/DataDocumenter/CachePoolId}"/>
            <link rel="stylesheet" href="{$root}css/layout.css?v={/DataDocumenter/CachePoolId}"/>
            <link rel="stylesheet" href="{$root}css/inline-html.css?v={/DataDocumenter/CachePoolId}"/>
            <link rel="stylesheet" href="{$root}css/user.css?v={/DataDocumenter/CachePoolId}"/>
            
            <xsl:call-template name="scripts"/>
          </head>

          <body class="font-size-medium">
            <div id="nav-toggle"></div>
            <xsl:call-template name="main"/>
          </body>
        </html>
    </xsl:template>

    <!-- Content -->
    <xsl:template name="main">
      <div id="main" class="cf">
        <xsl:call-template name="infobar"/>
        <xsl:call-template name="nav-tree"/>
        <xsl:call-template name="content"/>
      </div>
    </xsl:template>

  <!-- Content -->
  <xsl:template name="content">
    <div id="content" class="resizable-right">
      <div id="right">
        <xsl:call-template name="documentations-list"/>
      </div>
      <xsl:call-template name="footer"/>
    </div>
  </xsl:template>

  <xsl:template name="documentations-list">
    <xsl:apply-templates select="Breadcrumbs"/>

    <h1 class="sticky-header"> Repository </h1>
    <ol type="1">
      <xsl:for-each select="Databases/Database">
        <li>
          <a href="{$root}{@src}{$ext}" class="ajax" data-target="#right">
            <xsl:value-of select="@name"/>
          </a>
        </li>
      </xsl:for-each>
    </ol>
  </xsl:template>
</xsl:stylesheet>