﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt">
  <xsl:include href="nav-tree.xsl"/>

  <!-- HTML head definition -->
  <xsl:template name="head">
    <head>
      <meta charset="utf-8"/>
      <meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
      <meta name="viewport" content="width=device-width, initial-scale=1"/>
      <meta name="_root" content="{$root}"/>

      <meta http-equiv="cache-control" content="no-cache, no-store, must-revalidate" />
      <meta http-equiv="pragma" content="no-cache" />
      <meta http-equiv="expires" content="0" />
      <meta name="cache-pool-id" content="{/DataDocumenter/CachePoolId}" />

      <title>
        <xsl:if test="/DataDocumenter/Breadcrumbs/Breadcrumb[last()][@type != 'Module'][@type != 'Repository'][@type != 'Documentation']">
          <xsl:value-of select="/DataDocumenter/Breadcrumbs/Breadcrumb[last()]"/> -
        </xsl:if>

        <xsl:if test="/DataDocumenter/Breadcrumbs/Breadcrumb[@type='Module']">
          <xsl:value-of select="/DataDocumenter/Breadcrumbs/Breadcrumb[@type='Module']"/> -
        </xsl:if>

        <xsl:choose>
          <xsl:when test="/DataDocumenter/Breadcrumbs/Breadcrumb[@type='Documentation']">
            <xsl:value-of select="/DataDocumenter/Breadcrumbs/Breadcrumb[@type='Documentation']"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="Global/DocumentTitle"/>
          </xsl:otherwise>
        </xsl:choose>
      </title>

      <link href="{$root}favicon.ico" rel="icon"/>
      <link href="{$root}favicon.ico" rel="shortcut icon"/>
      <link rel="stylesheet" href="{$root}lib/Google Fonts/style.css?v={/DataDocumenter/CachePoolId}"/>
      <link rel="stylesheet" href="{$root}lib/jQueryUI/jquery-ui-1.9.2.custom.min.css?v={/DataDocumenter/CachePoolId}"/>
      <link rel="stylesheet" href="{$root}css/reset.css?v={/DataDocumenter/CachePoolId}"/>
      <link rel="stylesheet" href="{$root}css/default.css?v={/DataDocumenter/CachePoolId}"/>
      <link rel="stylesheet" href="{$root}css/layout.css?v={/DataDocumenter/CachePoolId}"/>
      <link rel="stylesheet" href="{$root}css/inline-html.css?v={/DataDocumenter/CachePoolId}"/>
      <link rel="stylesheet" href="{$root}css/user.css?v={/DataDocumenter/CachePoolId}"/>

      <xsl:call-template name="scripts"/>
    </head>
  </xsl:template>

  <xsl:template name="infobar">
    <div id="infobar" class="only-mobile">
      <a href="{$root}" class="ajax logo" data-target="#right">
        <img src="{$root}img/logo.png"/>
      </a>

      <h3 class="docname font-medium">
        <xsl:value-of select="/DataDocumenter/Global/DocumentTitle"/>
      </h3>
    </div>
  </xsl:template>

  <xsl:template name="scripts">
    <div id="popup-error"> Action cannot be finished </div>
    <div id="binding"></div>
    <script src="{$root}lib/jQuery/jquery-1.11.3.min.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}lib/jQueryUI/jquery-ui-1.9.2.custom.min.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}lib/iframeResizer/client.min.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}lib/Store.js/store.legacy.min.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}lib/fuse.js/fuse.min.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}lib/throttle-debounce/throttle-debounce.min.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}js/sticky.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}js/url.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}js/tables.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}js/loader.multi.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}js/treeExpand.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}js/utilities.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}js/mobile.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}js/dependenciesTree.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}js/userLinks.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}js/search.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}js/erd.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}search.json.js?v={/DataDocumenter/CachePoolId}"></script>
    <script src="{$root}js/user.js?v={/DataDocumenter/CachePoolId}"></script>
  </xsl:template>
  
  <xsl:template name="footer">
    <footer class="footer font-gray font-small cf">
      <xsl:if test="/DataDocumenter/Edition">
        <span style="float: left">
          <xsl:value-of select="/DataDocumenter/Edition"/>
        </span>
      </xsl:if>
      <span style="float:right">
        Generated with <strong>
          <a href="{Global/Product/@src}">
            <xsl:value-of select="Global/Product"/>
          </a>
        </strong>
      </span>
    </footer>
  </xsl:template>
</xsl:stylesheet>