﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt">

  <xsl:variable name="ext" select="'.html'"/>
  <xsl:variable name="root" select="''"/>
  <xsl:variable name="resources" select="''"/>
  
  <!-- Navigation -->
  <xsl:template name="nav-tree">
    <div id="aside" class="resizable-left border-right">
      <div id="left">
        <xsl:call-template name="header"/>
        <xsl:call-template name="search"/>

        <xsl:choose>
          <xsl:when test="Databases/Database">
            <ul class="tree">
              <li>
                <ul>
                  <xsl:apply-templates select="Databases/Database"/>
                </ul>
              </li>
            </ul>
          </xsl:when>
          <xsl:otherwise>
            <strong> Error: </strong> documentations not found.
          </xsl:otherwise>
        </xsl:choose>
      </div>

      <div id="left-footer">
        Generated with <strong>
          <a href="{Global/Product/@src}">
            <xsl:value-of select="Global/Product"/>
          </a>
        </strong>

        <xsl:if test="/DataDocumenter/LicenseTag">
          <!-- Trial -->
          <script src="https://dataedo.com/asset/js/html-export-popup.js?v={/DataDocumenter/CachePoolId}"
                  data-hep-header="Like what you see?"
                  data-hep-text="Tell your friends about it!"
                  data-hep-btn-share="true"
                  data-hep-delay="1000"
                  data-hep-gtm="true">
          </script>
        </xsl:if>
      </div>
    </div>
  </xsl:template>

  <!-- Tree Search -->
  <xsl:template name="search">
    <div class="search-box -with-pattern">
      <input class="search-input" id="search-input" type="text" />
      <label class="search-icon" for="search-input"></label>

      <i class="search-options-btn"></i>
      <div class="search-options-dropdown font-small">
        <div class="search-options-dropdown-group">
          <label>
            <input type="checkbox" disabled="disabled" checked="checked"/> Search object names
          </label>
        </div>
        <div class="search-options-dropdown-group">
          <label>
            <input type="checkbox" data-search="columns"/> Search column names
          </label>
        </div>
      </div>
    </div>
  </xsl:template>

  <!-- Tree Header -->
  <xsl:template name="header">
    <nav id="nav" class="grid">
      <div class="span12">
        <a href="{$root}" class="ajax logo" data-target="#right">
          <img src="{$root}img/logo.png"/>
        </a>
        <div class="menu"></div>
        <h3 class="docname font-medium">
          <xsl:value-of select="/DataDocumenter/Global/DocumentTitle"/>
          <xsl:if test="/DataDocumenter/LicenseTag">
            <span class="trial trial-header"> Trial </span>
          </xsl:if>
        </h3>
      </div>
    </nav>
  </xsl:template>

  <!-- Navigation - folders -->
  <xsl:template match="/DataDocumenter/Databases//Modules|/DataDocumenter/Databases//Functions|/DataDocumenter/Databases//Procedures|/DataDocumenter/Databases//Tables|/DataDocumenter/Databases//Views">
    <xsl:variable name="class">
      <xsl:choose>
        <xsl:when test="*"> expand </xsl:when>
      </xsl:choose>
    </xsl:variable>

    <li class="{$class}">
      <i class="icon-folder"></i>
      <a class="ajax" data-target="#right" href="{$root}{@src}{$ext}">
        <xsl:value-of select="local-name()"/>
      </a>
      <ul style="display: none;">
        <xsl:apply-templates select="*"/>
      </ul>
    </li>
  </xsl:template>

  <!-- Navigation - objects -->
  <xsl:template match="/DataDocumenter/Databases//Database|/DataDocumenter/Databases//Module|/DataDocumenter/Databases//Function|/DataDocumenter/Databases//Procedure|/DataDocumenter/Databases//Table|/DataDocumenter/Databases//View">
    <xsl:variable name="class">
      <xsl:choose>
        <xsl:when test="*"> expand </xsl:when>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="icon">
      icon-<xsl:value-of select="@objectFullType"/>
    </xsl:variable>

    <li class="{$class}">
      <i class="{$icon}"></i>
      <a class="ajax" data-target="#right" href="{$root}{@src}{$ext}">
        <xsl:value-of select="@name"/>
      </a>
      <ul style="display: none;">
        <xsl:apply-templates select="*"/>
      </ul>
    </li>
  </xsl:template>
</xsl:stylesheet>